# PSF-LoginServer - master - net.psforever.objects.definition.BasicDefinition
PSF - LoginServer - master - net.psforever.objects.definition.BasicDefinition
Keywords: PSF LoginServer master net.psforever.objects.definition.BasicDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package definition
  Definition Classes
    objects
-  package converter
  Definition Classes
    definition
- AmmoBoxDefinition
- AvatarDefinition
- BaseDeployableDefinition
- BasicDefinition
- CargoDefinition
- ConstructionFireMode
- ConstructionItemDefinition
- DeployAnimation
- DeployableDefinition
- EquipmentDefinition
- ExoSuitDefinition
- ImplantDefinition
- KitDefinition
- ObjectDefinition
- ProjectileDefinition
- SimpleItemDefinition
- SpecialExoSuitDefinition
- ToolDefinition
- VehicleDefinition

c

net.psforever.objects.definition

# BasicDefinition

###

#### abstract class BasicDefinition extends AnyRef

Source
  BasicDefinition.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
BoomerDeployableDefinition, ExplosiveDeployableDefinition, SensorDeployableDefinition, ShieldGeneratorDefinition, TelepadDeployableDefinition, TrapDeployableDefinition, TurretDeployableDefinition, NonvitalDefinition, AmmoBoxDefinition, AvatarDefinition, CargoDefinition, ConstructionItemDefinition, DeployableDefinition, EquipmentDefinition, ExoSuitDefinition, ImplantDefinition, KitDefinition, ObjectDefinition, ProjectileDefinition, SimpleItemDefinition, SpecialExoSuitDefinition, ToolDefinition, VehicleDefinition, AmsDefinition, AntDefinition, ApcDefinition, CarrierDefinition, DeployingDefinition, RouterDefinition, DoorDefinition, GeneratorDefinition, CaptureFlagDefinition, CaptureFlagSocketDefinition, IFFLockDefinition, LockerDefinition, MountableSpaceDefinition, SeatDefinition, VehicleSpawnPadDefinition, PainboxDefinition, ResourceSiloDefinition, AmenityDefinition, BuildingDefinition, WarpGateDefinition, GeneratorTerminalDefinition, MatrixTerminalDefinition, MedicalTerminalDefinition, OrderTerminalDefinition, ProximityTerminalDefinition, TerminalDefinition, CaptureTerminalDefinition, ImplantTerminalMechDefinition, SpawnTubeDefinition, FacilityTurretDefinition, InternalTelepadDefinition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BasicDefinition
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new BasicDefinition()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Descriptor: String
5.  def Descriptor_=(description: Option[String]): String
6.  def Descriptor_=(description: String): String
7.  def Name: String
8.  def Name_=(name: String): String
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped